<?php

use App\Http\Controllers\Backend\RoleController as AdminRoleController;
use Illuminate\Support\Facades\Route;

Route::prefix("roles")->name("roles.")->group(function (){

    Route::get("/",[AdminRoleController::class,'index'])->name("index");
    Route::post("create",[AdminRoleController::class,'create'])->name("create");
    Route::post("dt-edit",[AdminRoleController::class,'dtEdit'])->name("dt-edit");

    Route::prefix("{role}")->group(function (){
        Route::get("/",[AdminRoleController::class,'show'])->name("show");
        Route::post("update",[AdminRoleController::class,'update'])->name("update");
        Route::delete("delete",[AdminRoleController::class,'delete'])->name("delete");
    });
});
